

/*.cellrowborder { border-left:none; border-top:none; border-right:solid 1px; border-bottom:solid 1px }*/

body {
    font-family: verdana, arial, helvetica, sans-serif;
    font-size: 10pt;
/*    line-height: 11pt;*/
    margin-top: 20px;
    margin-left: 30px;
}


div.p {
    margin-top: 1em;
    margin-bottom: 1em;
}


div.table-footnotes {
    margin-top: -10pt;
}
div.table-footnotes div.p {
    margin-top: 0em;
    margin-bottom: 0em;
}

table div.p, table p {
    margin-top: 2pt;
    margin-bottom: 2pt;
}

div.step_element {
    margin-top: 0.4em;
    margin-top: 0.9em;
}
 
h1.topictitle1 {
    font-size: 13pt;
    font-weight: bold;
    color: #004B8D;
    margin-bottom: 15pt;
}

h2.sectiontitle, h2.topictitle2, div.relinfo strong {
    font-size: 10pt;
    font-weight: bold;
    color: #004B8D;
    margin-bottom: 4pt;
}

h3.topictitle3 {
    font-size: 10pt;
    font-weight: normal;
    color: #004B8D;
    margin-bottom: 4pt;
}

h2.sectiontitle + p, h2.sectiontitle + a + p, h2.sectiontitle + table, h2.sectiontitle + a + table {
    margin-top: 0pt;
}

div.related_links {
    margin-top: 20pt;
}

div.relinfo {
    margin-top: 10pt;
}
    

div.endnotes {
    margin-top: 10pt;
}
div.endnotes div.p {
    margin-top: 5pt;
    margin-bottom: 5pt;
}

span.notetitle, table caption {
    font-weight: bold;
    font-size: 10pt;
    color: #004B8D;
    text-align: left;
    padding-bottom: 0pt;
    margin-bottom: 0pt;
    padding-left: 0pt;
}

span.inlineheading {
    font-weight: bold;
    color: #004B8D;
}

table.fignone {
    border-top: 0.5pt solid black;
    border-bottom: 0.5pt solid black;
    border-left: none;
    border-right: none;
    width: auto;
    margin-right: auto;
    margin-top: 11pt!important;
    font-size: 10pt;
}
table.fignone td {
    border-top: none;
    padding-left: 0pt;
    padding-top: 2pt;
    font-size: 10pt;
}
div.figcap { 
    font-style: normal; 
    font-weight: bold; 
    color: #004B8D;
    margin-top: 4pt;
    margin-bottom: 1pt;
}


div.fignone {
    border-top: 0.5pt solid black;
    border-bottom: 0.5pt solid black;
    margin-right: 20pt;
}

div.fignone ol {
    list-style: upper-alpha;
    margin-left: 5px;
}

table, div.fignone {
    margin-top: 15pt;
    margin-bottom: 15pt;
}
table.choicetableborder {
    margin-top: 5pt;
    margin-bottom: 10pt;
}

div.imageleft {
    padding-top: 4pt;
    padding-bottom: 4pt;
}

table caption {
    padding-bottom: 4pt;
}

table {
    border: 1px solid black;
    font-size: 9pt;
}
table.tablenoborder, table[frame="void"], table.simpletablenoborder {
    border: 0px solid black;
    font-size: 9pt;
}
table.step_summary, table.step_summary td {
    font-size: 8pt;
}
table.choicetableborder {
    border: 1px solid #afafaf;
}

table.step_summary td {
    background: #e6e6e6;
}
table.step_summary td + td{
    background: white;
}

th  {
    background: #e6e6e6;
    text-align: left;
    font-size: 9pt;
    border-left: none;
    border-right: none;
    border-top: none;
}
tr + tr th {
    border-top: 1px solid #7f7f7f;
}
table.choicetableborder th  {
    background: #f1f1f1;
}

table[rules="all"] th, table[rules="all"] td, table[rules="cols"] th, table[rules="cols"] td, table.simpletableborder th + th, table.simpletableborder td + td {
    border-left: 1px solid #7f7f7f;
}

table[rules="all"] tr + tr th, table[rules="all"] tr + tr td, table[rules="rows"] tr + tr th, table[rules="rows"] tr + tr td, table.simpletableborder tr + tr {
    border-top: 1px solid #7f7f7f;
}

table.choicetableborder th + th, table.choicetableborder td + td {
    border-left: 1px solid #cfcfcf;
}
td.first_col, th.first_col {
    border-left: none!important;
}

td  {
    font-size: 9pt;
    border-left: none;
    border-right: none;
}
table.no_rules td {
    border-top: none;
}
table.choicetableborder td  {
    border-top: 1px solid #cfcfcf;
}

td br, div.fignone br, p + br {
    line-height: 0pt;
}

td ul {
    margin-top: 0px;
    padding-top: 0px;
}

td li {
    margin-top: 0px;
    padding-top: 0px;
}

ul, ol {
    padding-left: 26px;
    margin-top: 3px;
    padding-top: 0px;
    margin-bottom: 3px;
    padding-bottom: 0px;
}

.ullinks {
    margin-bottom: 20pt;
}

.child_link_short_desc {
    margin-left: 20pt;
}

.ulchildlink + .ulchildlink {
    margin-top: 5pt;
}

ul {
    margin-left: 0px;
    color: #004B8D;
}

ol {
    margin-left: 5px;
}

li {
    margin-top: 4pt;
    margin-bottom: 4pt;
}

ul li, ol ul li {
    padding-left: 10px;
}

ol li, ul ol li {
    padding-left: 5px;
}

span.list_item_text {
    color: black;
}

ul ul.regularlist, ol ul.regularlist {
    list-style: square outside url("../images/dash.png");
}

ul.checklist {
    list-style: square outside url("../images/checkbox.png");
}

table.fignone ol {
    list-style-type: upper-alpha;
}

ul.figlist {
    list-style: disc;
}

dt.dlterm {
    font-weight: bold;
    margin-top: 5pt;
    margin-bottom: 5pt; 
}

p.first_p {
    margin-top: 0pt!important;
}

p.last_p {
    margin-bottom: 0pt!important;
}


div.note {
    margin-right: 20pt;
    margin-top: 10pt;
    margin-bottom: 10pt;
}

div.note_title {
    font-size: 12pt;
    font-weight: bold;
    padding-top: 4pt;
    padding-bottom: 0pt;
    padding-left: 5pt;
}

div.note_hang div.note_title {
    padding-left: 0pt;
}

span.note_title {
    font-size: 10pt;
    font-weight: bold;
    padding-top: 6pt;
    padding-bottom: 0pt;
    color:#004B8D;
}

div.note_notice div.note_title {
    font-style: italic;
}

div.note_black div.note_title {
    color: white;
    background: black;
    padding-bottom:2pt;
    padding-top:2pt;
    padding-left:5pt;
}
div.note_black div.note {
    border-bottom: 1pt solid black;
}


div.note_color div.note_title {
    padding-bottom:2pt;
    padding-top:2pt;
    padding-left:5pt;
}


div.note_color div.note_danger div.note_title {
    color: white;
    background: #ff0000;
}
div.note_color div.note_danger {
    border-bottom: 1pt solid #ff0000;
}

div.note_color div.note_warning div.note_title {
    color: black;
    background: #ff9933;
}
div.note_color div.note_warning {
    border-bottom: 1pt solid #ff9933;
}

div.note_color div.note_caution div.note_title {
    color: black;
    background: yellow;
}
div.note_color div.note_caution {
    border-bottom: 1pt solid yellow;
}

div.note_color div.note_notice div.note_title {
    color: white;
    background: #0066ff;
}
div.note_color div.note_notice {
    border-bottom: 1pt solid #0066ff;
}

div.note_hang div.note_title {
    color: #004BBD;
    background: white;
    padding-bottom:2pt;
    padding-top:2pt;
}

div.note_text {
    font-size: 9pt;
    font-weight: bold;
    padding-top: 4pt;
    padding-bottom: 4pt;
}

div.note_misc {
    border-bottom: 1pt solid #000000;
}


div.note_misc div.note_title {
    font-size: 9pt;
    background: white;
    color: #004B8D;
    padding-left: 0pt;
    border-top: 1pt solid #000000;
}
div.note_misc div.note_text {
    font-weight: normal;
}





div.fignone div.note_misc div.note_title {
    margin-bottom: -8pt;
}

div.fignone div.note_misc {
    border-bottom: none;
    margin-bottom: 0pt;
}
div.fignone div.note_misc div.note_title {
    border-top: none;
}

div.fignone img {
   margin-top: 5pt; 
}

span.nowrap {
    white-space: nowrap;
}


span.uicontrol,  span.wintitle {
    font-weight: bold;
    font-style: normal;
}

.cmdname, .codeph, .codeblock, .screen, .msgph
{
    font-family: monospace;
}
span.menucascade {
    font-weight: bold;
    font-style: normal;
    font-size: 10pt;
}

kbd.userinput, tt.sysout {
    font-weight: inherit;
    font-family: verdana, arial, helvetica, sans-serif;
}

div.topic_url {
    color: #8B0000;
    font-weight: bold;
    font-size: 10pt;
    line-height: 12pt;
}

.mainbooktitle {
    color: #004B8D;
    font-size: 16pt;
    line-height: 1.2;
    margin-bottom: 8pt;
    font-weight: bold;
}

.subtitle {
    color: #777777;
    font-size: 12pt;
    line-height: 1.2;
    margin-bottom: 35pt;
}

.helptype {
    color: #004B8D;
    font-size: 18pt;
    line-height: 1.2;
    font-style: italic;
}
.front_left {
    width: 275px;
    text-align: left;
    border: none;
}
.front_right {
    width: 275px;
    text-align: right;
     border: none;
}
.front_table {
    border: 0px solid black;
    margin-top: 10px;
}



.copyright_topic div {
    margin-top: 5pt;
}

.copyright_topic div.copyright {
    margin-top: 10pt;
}

.copyright_topic div.bookpartno, .copyright_topic div.rev_id, .copyright_topic div.published_year  {
    margin-top: 2pt;
    font-weight: bold;
    color: #004B8D;
}


dd p {
    margin-bottom: 0pt;
}

.eqsymbols {
    border: none;
}

.symname, .symdesc, .symname img {
    vertical-align: top;
}

.symname {
    padding-top: 4pt;
}

td.symname img {
   margin-top: 0pt!important; 
}

span.math {
    font-family: "Cambria Math", times, serif;
}

table.software {
    border: 1pt solid black;
    background: #f0f0f0;
}

table.software pre.screen { 
    margin-top: 0pt;
    margin-bottom: 0pt;
}

.lines_background {
    background: #f0f0f0;
    border: none;
}

.lines_background p {
    margin-top: 0pt;
    margin-bottom: 0pt;
}



/* A bit of a hack to adjust the spacing in the C_CHARMS-Over.html topic */
/*p + br + a + ul {
    margin-top: -0.9em;
}*/